corda / net.corda.core.contracts / TransactionType / General

# General

`class General : TransactionType`

A general transaction type where transaction validity is determined by custom contract code

### Types

Builder | `class Builder : TransactionBuilder` Just uses the default TransactionBuilder with no special logic

### Constructors

<init> | `General()` A general transaction type where transaction validity is determined by custom contract code

### Functions

getRequiredSigners | `fun getRequiredSigners(tx: LedgerTransaction): Set<CompositeKey>` Return the list of public keys that that require signatures for the transaction type. Note: the notary key is checked separately for all transactions and need not be included.
verifyTransaction | `fun verifyTransaction(tx: LedgerTransaction): Unit` Implement type specific transaction validation logic

### Inherited Functions

equals | `open fun equals(other: Any?): Boolean`
hashCode | `open fun hashCode(): Int`
verify | `fun verify(tx: LedgerTransaction): Unit` Check that the transaction is valid based on:
verifySigners | `fun verifySigners(tx: LedgerTransaction): Set<CompositeKey>` Check that the list of signers includes all the necessary keys